#ifndef THERMOMETER_HPP_
#define THERMOMETER_HPP_

#include <Widget/Widget.hpp>

/**
 * @brief A widget which displays a thermometer.
 */
class Thermometer : public Widget
{
private:
    int &m_temperature;
    int m_maxTemperature;

public:
    Thermometer(int &temperature, int maxTemperature);

    virtual glm::ivec2 getMinSize() override;
    virtual void draw(GraphicsContext &context) override;
};

#endif